Show / Hide Table of Contents

# Struct EventFramework

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game.Event

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct EventFramework

### Fields

| Improve this Doc View Source

#### DirectorModule

##### Declaration

    public DirectorModule DirectorModule

##### Field Value

Type | Description
--- | ---
DirectorModule |

| Improve this Doc View Source

#### EventHandlerModule

##### Declaration

    public EventHandlerModule EventHandlerModule

##### Field Value

Type | Description
--- | ---
EventHandlerModule |

| Improve this Doc View Source

#### LuaActorModule

##### Declaration

    public LuaActorModule LuaActorModule

##### Field Value

Type | Description
--- | ---
LuaActorModule |

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    [StaticAddress("48 8B 35 ?? ?? ?? ?? 0F B6 EA 4C 8B F1", 0, true)]
    public static EventFramework*Instance()

##### Returns

Type | Description
--- | ---
EventFramework* |